package com.imprimelibros.erp.presupuesto.classes;

import com.imprimelibros.erp.presupuesto.maquetacion.MaquetacionMatrices.FontSize;
import com.imprimelibros.erp.presupuesto.maquetacion.MaquetacionMatrices.Formato;

import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;

public class PresupuestoMaquetacion {
    
    @NotNull(message = "{validation.required}")
    @Min(value = 1, message = "{validation.min}")
    private Integer numCaracteres = 200000;
    private Formato formato = Formato.A5;
    private FontSize cuerpoTexto = FontSize.medium;
    @Min(value = 0, message = "{validation.min}")
    @NotNull(message = "{validation.required}")
    private Integer numTablas = 0;
    @Min(value = 1, message = "{validation.min}")
    @NotNull(message = "{validation.required}")
    private Integer numColumnas = 1;
    @Min(value = 0, message = "{validation.min}")
    @NotNull(message = "{validation.required}")
    private Integer numFotos = 0;
    private boolean correccionOrtotipografica = false;
    private boolean textoMecanografiado = false;
    private boolean disenioPortada = false;
    private boolean epub = false;

    public Integer getNumCaracteres() {
        return numCaracteres;
    }
    public void setNumCaracteres(Integer numCaracteres) {
        this.numCaracteres = numCaracteres;
    }
    public Formato getFormato() {
        return formato;
    }
    public void setFormato(Formato formato) {
        this.formato = formato;
    }
    public FontSize getCuerpoTexto() {
        return cuerpoTexto;
    }
    public void setCuerpoTexto(FontSize cuerpoTexto) {
        this.cuerpoTexto = cuerpoTexto;
    }
    public Integer getNumTablas() {
        return numTablas;
    }
    public void setNumTablas(Integer numTablas) {
        this.numTablas = numTablas;
    }
    public Integer getNumColumnas() {
        return numColumnas;
    }
    public void setNumColumnas(Integer numColumnas) {
        this.numColumnas = numColumnas;
    }
    public Integer getNumFotos() {
        return numFotos;
    }
    public void setNumFotos(Integer numFotos) {
        this.numFotos = numFotos;
    }
    public boolean isCorreccionOrtotipografica() {
        return correccionOrtotipografica;
    }
    public void setCorreccionOrtotipografica(boolean correccionOrtotipografica) {
        this.correccionOrtotipografica = correccionOrtotipografica;
    }
    public boolean isTextoMecanografiado() {
        return textoMecanografiado;
    }
    public void setTextoMecanografiado(boolean textoMecanografiado) {
        this.textoMecanografiado = textoMecanografiado;
    }
    public boolean isDisenioPortada() {
        return disenioPortada;
    }
    public void setDisenioPortada(boolean disenioPortada) {
        this.disenioPortada = disenioPortada;
    }
    public boolean isEpub() {
        return epub;
    }
    public void setEpub(boolean epub) {
        this.epub = epub;
    }

    
}
